Package list lightdm-gtk-greeter-settings / c97878a2-72d4-4213-979f-574bd8b6909c/main debian / changelog
c97878a2-72d4-4213-979f-574bd8b6909c/main

Tree @c97878a2-72d4-4213-979f-574bd8b6909c/main (Download .tar.gz)

changelog @c97878a2-72d4-4213-979f-574bd8b6909c/mainraw · history · blame

lightdm-gtk-greeter-settings (1.2.2-4) UNRELEASED; urgency=medium

  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 30 Apr 2020 00:39:59 +0000

lightdm-gtk-greeter-settings (1.2.2-3) unstable; urgency=medium

  * d/control:
    - Remove outdated X-Python3-Version field (lintian tag
      ancient-python-version-field)
    - Bump to Standards-Version 4.4.1 and debhelper 12; no changes needed.
    - Fix insecure-copyright-format-uri Lintian warning
    - Set Rules-Requires-Root: no
  * d/copyright: update copyright authors and years
  * Add patch 0001-Refresh-translations.patch backported from upstream commit
    https://git.launchpad.net/lightdm-gtk-greeter-settings/commit/?id=69e614899be17816d1cc8ce658d95d6731b83bd7
    Thanks to Roxfr for suggesting translation updates.

 -- James Lu <james@overdrivenetworks.com>  Tue, 24 Dec 2019 13:21:26 -0800

lightdm-gtk-greeter-settings (1.2.2-2) unstable; urgency=medium

  * d/control,copyright,l-g-g-s.1: update email and copyright years
  * Move Vcs-* links to Salsa.
  * Add missing build-dep on dh-python. Closes: #896731
  * Bump standards version to 4.1.4, no changes needed.
  * Bump debhelper compat level to 11.

 -- James Lu <james@overdrivenetworks.com>  Tue, 24 Apr 2018 00:57:44 -0700

lightdm-gtk-greeter-settings (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * patches: drop, applied upstream.
  * Bump standards version to 4.1.2, no changes needed.
  * Remove alternate recommends on gksu. Closes: #885547

 -- James Lu <bitflip3@gmail.com>  Wed, 27 Dec 2017 15:38:13 -0800

lightdm-gtk-greeter-settings (1.2.1-2) unstable; urgency=medium

  * Add patch fix-pkexec-shebang.patch to work around bashism in
    lightdm-gtk-greeter-settings-pkexec causing a crash if -s is given
    (LP: #1613967)

 -- James Lu <bitflip3@gmail.com>  Sun, 11 Dec 2016 13:51:21 -0800

lightdm-gtk-greeter-settings (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Set standards version to 3.9.8; no changes needed.
  * d/control: Use https:// in Vcs-Git URL. This fixes the
    vcs-field-uses-insecure-uri Lintian informational warning.
  * patches/reproducible-setup: update forwarded status

 -- James Lu <bitflip3@gmail.com>  Mon, 23 May 2016 10:38:41 -0700

lightdm-gtk-greeter-settings (1.2.0-2) unstable; urgency=medium

  * Attempt to make package build reproducibly. (Closes: #804081)
  * Set package section to x11, not utils.

 -- James Lu <bitflip3@gmail.com>  Sun, 22 Nov 2015 10:43:11 -0800

lightdm-gtk-greeter-settings (1.2.0-1) unstable; urgency=medium

  * Initial Debian release, imported from Ubuntu. (Closes: #788614)
  * debian/ folder changes:
    - Add a watch file pointing to Launchpad.
    - Write a manpage (lightdm-gtk-greeter-settings.1), dropping the
      binary-without-manpage lintian override for
      /usr/bin/lightdm-gtk-greeter-settings.
    - Set myself as maintainer.
    - Set package source/format to 3.0 (quilt).
    - links: symlink the root NEWS file as an upstream changelog.
      This fixes the no-upstream-changelog Lintian pedantic warning.
    - rules: override dh_auto_clean to remove
      po/lightdm-gtk-greeter-settings.pot, so that successive builds work.
    - control: add dependency on gir1.2-pango-1.0

 -- James Lu <bitflip3@gmail.com>  Sat, 10 Oct 2015 22:20:50 -0700

lightdm-gtk-greeter-settings (1.2.0-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 16 Jun 2015 19:26:28 -0400

lightdm-gtk-greeter-settings (1.1.0-0ubuntu1) vivid; urgency=low

  [ Sean Davis ]
  * Initial release (LP: #1295405)

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 16 Feb 2015 06:56:14 -0500